#define HLP_MAX_LABEL  80
#define HLP_MAX_LINE   80
#define HLP_MAX_STACK 100

struct helppage{
  char *label[HLP_MAX_LABEL];                /* maximum links allowed */
  char *page_buffer[HLP_MAX_LINE];           /* maximum lines allowed */
  char *stack[HLP_MAX_STACK];                /* constant stacks */
	int prev_selection[HLP_MAX_STACK];
  int nstack;                               /* current number of stacks */
  int nline;                                /* number of lines in page */
  int nlabel;                               /* number of links */
};

/************* l_help.c ***************/
int helpbrowser(char *first_label, char *file);
int hptf_open(FILE *fp, char *label, struct helppage *ht);
int hptf_close(struct helppage *ht);
char *hptf_show(struct helppage *ht);
